/*
	Copyright (c) 2015 Digital Airways (www.DigitalAirways.com)
	This work is free. You can redistribute it and/or modify it under the
	terms of the "Do What The Fuck You Want To" Public License, Version 2,
	as published by Sam Hocevar. 
	See http://www.wtfpl.net for more details.
*/

module.exports = function (RED) {

    "use strict";
	
	function main(config) {
	
		RED.nodes.createNode(this, config);
		this.config = config;
		var node = this;
		
		this.on("input", function(msg) {
			var property = node.config.property;
			if(typeof property != "undefined" && property != "")
				msg[property] = node.config.val;
			else
				msg.intensity = node.config.val;
	
			node.send(msg);
		});
	}
	
	RED.nodes.registerType("intensity", main);
}